MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001773VCMIGUI - PreGamepublic2014-04-16 19:122018-04-05 16:39
Reporteroskarroza 
Assigned ToSXX 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.next 
Summary0001773: Load Multiplayer game: no connection window; the game loads like a single-player game and then is stuck on another player's turn
DescriptionMost of the info is introduced in the summary.
VCMI 0.95 does not allow me to play multiplayer save - it simply does not allow to choose the connection options and thus the game does not work in multiplayer (server) mode.
What is more, the game loads just like a single-player game, but (in the advanced settings) it sees that there should be another player. Unfortunately, the gameplay is impossible, because VCMI is stuck at that player turn.
Any possibility of implementing at least a hot-seat feature for multiplayer saves, and later a fully implemented multiplayer savegame load?
Steps To ReproduceLoading the game through the menu: Load game -> Multiplayer
Additional InformationVCMI 0,95
Heroes 3 Complete - GOG version
Tagsconnection, multiplayer, save, savegame
Attached Files? file icon multiplayer savegame.vsgm1 [^] (1,716,737 bytes) 2014-04-16 19:27
? file icon MultiKrOr1.vcgm1 [^] (1,718,922 bytes) 2014-04-16 19:28
? file icon multiplayer savegame.vcgm1 [^] (1,718,922 bytes) 2014-04-16 19:29

- Relationships
related to 0002100resolvedSXX Multiplayer load screen is missing 
has duplicate 0002699resolvedSXX Missing feature - Popup window when loading a multiplayer game 

-  Notes
(0004633)
oskarroza (reporter)
2014-04-16 19:31

MultiKrOr1 is the same file as mutiplayer savegame - I mistakingly added the one with original name :)
(0007560)
SXX (administrator)
2018-04-05 16:39

Basic multiplayer loading is now supported:
https://github.com/vcmi/vcmi/pull/402 [^]

- Issue History
Date Modified Username Field Change
2014-04-16 19:12 oskarroza New Issue
2014-04-16 19:12 oskarroza Status new => assigned
2014-04-16 19:12 oskarroza Assigned To => Tow
2014-04-16 19:14 oskarroza Tag Attached: connection
2014-04-16 19:14 oskarroza Tag Attached: multiplayer
2014-04-16 19:14 oskarroza Tag Attached: save
2014-04-16 19:14 oskarroza Tag Attached: savegame
2014-04-16 19:27 oskarroza File Added: multiplayer savegame.vsgm1
2014-04-16 19:28 oskarroza File Added: MultiKrOr1.vcgm1
2014-04-16 19:29 oskarroza File Added: multiplayer savegame.vcgm1
2014-04-16 19:31 oskarroza Note Added: 0004633
2014-04-18 11:44 Warmonger Priority immediate => normal
2015-12-19 13:01 SXX Assigned To Tow => SXX
2015-12-19 13:07 SXX Relationship added related to 0002100
2017-06-19 21:09 SXX Relationship added has duplicate 0002699
2018-04-05 16:39 SXX Note Added: 0007560
2018-04-05 16:39 SXX Status assigned => resolved
2018-04-05 16:39 SXX Fixed in Version => 0.next
2018-04-05 16:39 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean